## belcard 1.0.2

=== CMakeLists.txt ===

############################################################################
# CMakeLists.txt
# Copyright (C) 2015  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.0)
project(BELCARD VERSION 1.0.2 LANGUAGES C CXX)

set(BELCARD_SO_VERSION "1")

option(ENABLE_SHARED "Build shared library." ON)
option(ENABLE_STATIC "Build static library." ON)
option(ENABLE_STRICT "Build with strict compile options." YES)
option(ENABLE_TOOLS "Enable compilation of tools." YES)
option(ENABLE_UNIT_TESTS "Enable compilation of unit tests." YES)


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

if(NOT CPACK_GENERATOR AND NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
	message(STATUS "Setting install rpath to ${CMAKE_INSTALL_RPATH}")
endif()

include(GNUInstallDirs)
include(CheckSymbolExists)
include(CMakePushCheckState)

# find_package should be invoked here to check for libraries - however do NOT
# call include_directories here (see below)

if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
	include("${EP_belr_CONFIG_DIR}/BelrConfig.cmake")
else()
	find_package(Belr REQUIRED)
endif()

if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
	set(BcToolbox_FIND_COMPONENTS tester)
	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
else()
	find_package(BcToolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
endif()

if(UNIX AND NOT APPLE)
	include(CheckIncludeFiles)
	check_include_files(libudev.h HAVE_LIBUDEV_H)
endif()

include_directories(
	include/
	src/
	${CMAKE_CURRENT_BINARY_DIR}
)
if(MSVC)
	include_directories(${MSVC_INCLUDE_DIR})
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/config.h PROPERTIES GENERATED ON)
add_definitions("-DHAVE_CONFIG_H")

set(BELCARD_CPPFLAGS ${BCTOOLBOX_CPPFLAGS} ${BELR_CPPFLAGS})
if(ENABLE_STATIC)
	list(APPEND BELCARD_CPPFLAGS "-DBELCARD_STATIC")
endif()
if(BELCARD_CPPFLAGS)
	list(REMOVE_DUPLICATES BELCARD_CPPFLAGS)
	add_definitions(${BELCARD_CPPFLAGS})
endif()
add_definitions("-DBELCARD_EXPORTS")

set(STRICT_OPTIONS_CPP )
set(STRICT_OPTIONS_C )
set(STRICT_OPTIONS_CXX )
set(STRICT_OPTIONS_OBJC )
if(MSVC)
	if(ENABLE_STRICT)
		list(APPEND STRICT_OPTIONS_CPP "/WX")
	endif()
else()
	list(APPEND STRICT_OPTIONS_CXX "-std=c++11")
	list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized" "-Wno-error=deprecated-declarations")
	list(APPEND STRICT_OPTIONS_C "-Wdeclaration-after-statement" "-Wstrict-prototypes" "-Wno-error=strict-prototypes")
	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments" "-Wno-array-bounds")
	endif()
	if(APPLE)
		list(APPEND STRICT_OPTIONS_CPP "-Wno-error=unknown-warning-option" "-Qunused-arguments" "-Wno-tautological-compare" "-Wno-unused-function" "-Wno-array-bounds")
		list(APPEND STRICT_OPTIONS_CXX "-stdlib=libc++")
	endif()
	if(ENABLE_STRICT)
		list(APPEND STRICT_OPTIONS_CPP "-Werror" "-Wextra" "-Wno-unused-parameter" "-fno-strict-aliasing")
	endif()
endif()
if(STRICT_OPTIONS_CPP)
	list(REMOVE_DUPLICATES STRICT_OPTIONS_CPP)
endif()
if(STRICT_OPTIONS_C)
	list(REMOVE_DUPLICATES STRICT_OPTIONS_C)
endif()

if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
else()
	set(EXPORT_TARGETS_NAME "belcard")
endif()

add_subdirectory(include)
add_subdirectory(src)
if(ENABLE_UNIT_TESTS AND BCTOOLBOX_TESTER_FOUND)
	add_subdirectory(tester)
endif()
if(ENABLE_TOOLS)
	add_subdirectory(tools)
endif()

include(CMakePackageConfigHelpers)
export(EXPORT ${EXPORT_TARGETS_NAME}Targets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/BelcardTargets.cmake"
)
configure_file(cmake/BelcardConfig.cmake.in
	"${CMAKE_CURRENT_BINARY_DIR}/BelcardConfig.cmake"
	@ONLY
)
set(ConfigPackageLocation share/Belcard/cmake)
install(EXPORT ${EXPORT_TARGETS_NAME}Targets
	FILE BelcardTargets.cmake
	DESTINATION ${ConfigPackageLocation}
)
install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/BelcardConfig.cmake"
	DESTINATION ${ConfigPackageLocation}
)


add_subdirectory(build)

=== build/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2017  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

if (NOT CPACK_PACKAGE_NAME)
	set(CPACK_PACKAGE_NAME "belcard")
ENDIF()

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../COPYING")

set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

set(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION})

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
"${CMAKE_BINARY_DIR}"
"^${PROJECT_SOURCE_DIR}/.git*"
)
bc_project_build_version(${PROJECT_VERSION} PROJECT_VERSION_BUILD)

set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}-${PROJECT_VERSION_BUILD}")

message("-- Package file name is ${CPACK_PACKAGE_FILE_NAME}" )

set(CPACK_SOURCE_PACKAGE_FILE_NAME ${CPACK_PACKAGE_FILE_NAME})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/rpm/belcard.spec.in ${CMAKE_CURRENT_SOURCE_DIR}/../belcard.spec)

include(CPack)

=== src/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2015  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(BELCARD_HEADER_FILES )
set(BELCARD_SOURCE_FILES_C )
set(BELCARD_SOURCE_FILES_CXX 
	belcard_addressing.cpp
	belcard_communication.cpp
	belcard_explanatory.cpp
	belcard_geographical.cpp
	belcard_organizational.cpp
	belcard_parser.cpp
	belcard_rfc6474.cpp
	belcard_utils.cpp
	belcard_calendar.cpp
	belcard.cpp
	belcard_general.cpp
	belcard_identification.cpp
	belcard_params.cpp
	belcard_property.cpp
	belcard_security.cpp
	vcard_grammar.cpp
)

bc_apply_compile_flags(BELCARD_SOURCE_FILES_C STRICT_OPTIONS_CPP STRICT_OPTIONS_C)
bc_apply_compile_flags(BELCARD_SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)

if(ENABLE_STATIC)
	add_library(belcard-static STATIC ${BELCARD_HEADER_FILES} ${BELCARD_SOURCE_FILES_C} ${BELCARD_SOURCE_FILES_CXX})
	set_target_properties(belcard-static PROPERTIES OUTPUT_NAME belcard)
	target_include_directories(belcard-static PUBLIC ${BELR_INCLUDE_DIRS} ${BCTOOLBOX_INCLUDE_DIRS})
	target_link_libraries(belcard-static INTERFACE ${BELR_LIBRARIES} ${BCTOOLBOX_CORE_LIBRARIES})
endif()
if(ENABLE_SHARED)
	add_library(belcard SHARED ${BELCARD_HEADER_FILES} ${BELCARD_SOURCE_FILES_C} ${BELCARD_SOURCE_FILES_CXX})
	if(APPLE)
		set_target_properties(belcard PROPERTIES LINK_FLAGS "-stdlib=libc++")
	endif()
	set_target_properties(belcard PROPERTIES VERSION ${BELCARD_SO_VERSION})
	target_include_directories(belcard PUBLIC ${BELR_INCLUDE_DIRS} ${BCTOOLBOX_INCLUDE_DIRS})
	target_link_libraries(belcard PRIVATE ${BELR_LIBRARIES} ${BCTOOLBOX_CORE_LIBRARIES})
	if(MSVC)
		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/belcard.pdb
				DESTINATION ${CMAKE_INSTALL_BINDIR}
				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			)
		endif()
	endif()
endif()

if(ENABLE_STATIC)
	install(TARGETS belcard-static EXPORT ${EXPORT_TARGETS_NAME}Targets
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()
if(ENABLE_SHARED)
	install(TARGETS belcard EXPORT ${EXPORT_TARGETS_NAME}Targets
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()

install(FILES ${BELCARD_HEADER_FILES}
	DESTINATION include/belcard
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

=== tester/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2015  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

if(ENABLE_SHARED)
	set(BELCARD_LIBRARIES_FOR_TESTER belcard)
else()
	set(BELCARD_LIBRARIES_FOR_TESTER belcard-static)
endif()

set(VCARD_FILES
	vcards/foldtest.vcf
	vcards/unfoldtest.vcf
	vcards/vcard.vcf
	vcards/vcards.vcf
)

set(HEADER_FILES_CXX belcard-tester.hpp)
set(SOURCE_FILES_CXX
	belcard-addressing-tester.cpp
	belcard-calendar-tester.cpp
	belcard-communication-tester.cpp
	belcard-explanatory-tester.cpp
	belcard-general-tester.cpp
	belcard-geographical-tester.cpp
	belcard-identification-tester.cpp
	belcard-organizational-tester.cpp
	belcard-rfc6474-tester.cpp
	belcard-security-tester.cpp
	belcard-tester.cpp
	belcard-vcard-tester.cpp
)

bc_apply_compile_flags(SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)

add_executable(belcard_tester ${SOURCE_FILES_CXX} ${HEADER_FILES_CXX})
set_target_properties(belcard_tester PROPERTIES LINKER_LANGUAGE CXX)
target_include_directories(belcard_tester PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIRS})
target_link_libraries(belcard_tester ${BELCARD_LIBRARIES_FOR_TESTER} ${BCTOOLBOX_TESTER_LIBRARIES})

if(APPLE)
	set_target_properties(belcard_tester PROPERTIES LINK_FLAGS "-stdlib=libc++")
endif()
if(NOT IOS)
	install(TARGETS belcard_tester
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()
install(FILES ${VCARD_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/belcard_tester/vcards")

=== tools/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2015  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

if(ENABLE_SHARED)
	set(BELCARD_LIBRARIES_FOR_TOOLS belcard)
else()
	set(BELCARD_LIBRARIES_FOR_TOOLS belcard-static)
endif()

foreach(EXECTUABLE belcard-folder belcard-unfolder belcard-parser)
	set(SOURCE_FILES_CXX ${EXECTUABLE}.cpp)
	bc_apply_compile_flags(SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)
	add_executable(${EXECTUABLE} ${SOURCE_FILES_CXX})
	set_target_properties(${EXECTUABLE} PROPERTIES LINKER_LANGUAGE CXX)
	target_link_libraries(${EXECTUABLE} ${BELCARD_LIBRARIES_FOR_TOOLS} ${BELR_LIBRARIES})
	if(APPLE)
		set_target_properties(${EXECTUABLE} PROPERTIES LINK_FLAGS "-stdlib=libc++")
	endif()
if(NOT IOS)
	install(TARGETS ${EXECTUABLE}
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()
endforeach()

=== debian/changelog ===
belcard (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #881296)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 09 Nov 2017 20:13:14 +0100

=== debian/control ===
Source: belcard
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10), cmake, libbctoolbox-dev, libbelr-dev
Standards-Version: 4.1.1
Section: libs
Homepage: https://www.linphone.org
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/belcard.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/belcard.git/

Package: libbelcard-dev
Section: libdevel
Architecture: any
Depends: libbelcard1 (= ${binary:Version}), ${misc:Depends}
Description: VCard standard format manipulation library (development headers)
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the development headers.

Package: libbelcard1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VCard standard format manipulation library
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the shared library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%belcard-$1.tar.gz%" \
   https://github.com/BelledonneCommunications/belcard/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## belcard 4.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2015  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2019 Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -21,8 +21,8 @@
 #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.0)
-project(BELCARD VERSION 1.0.2 LANGUAGES C CXX)
+cmake_minimum_required(VERSION 3.1)
+project(BELCARD VERSION 4.4.0 LANGUAGES C CXX)
 
 set(BELCARD_SO_VERSION "1")
 
@@ -31,7 +31,7 @@
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TOOLS "Enable compilation of tools." YES)
 option(ENABLE_UNIT_TESTS "Enable compilation of unit tests." YES)
-
+option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -44,21 +44,13 @@
 include(CheckSymbolExists)
 include(CMakePushCheckState)
 
-# find_package should be invoked here to check for libraries - however do NOT
-# call include_directories here (see below)
-
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	include("${EP_belr_CONFIG_DIR}/BelrConfig.cmake")
-else()
-	find_package(Belr REQUIRED)
+if(MSVC)
+    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 endif()
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(BcToolbox_FIND_COMPONENTS tester)
-	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
-else()
-	find_package(BcToolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
-endif()
+find_package(belr REQUIRED CONFIG)
+
+find_package(bctoolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
 
 if(UNIX AND NOT APPLE)
 	include(CheckIncludeFiles)
@@ -100,12 +92,11 @@
 	list(APPEND STRICT_OPTIONS_CXX "-std=c++11")
 	list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized" "-Wno-error=deprecated-declarations")
 	list(APPEND STRICT_OPTIONS_C "-Wdeclaration-after-statement" "-Wstrict-prototypes" "-Wno-error=strict-prototypes")
-	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
 		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments" "-Wno-array-bounds")
 	endif()
 	if(APPLE)
 		list(APPEND STRICT_OPTIONS_CPP "-Wno-error=unknown-warning-option" "-Qunused-arguments" "-Wno-tautological-compare" "-Wno-unused-function" "-Wno-array-bounds")
-		list(APPEND STRICT_OPTIONS_CXX "-stdlib=libc++")
 	endif()
 	if(ENABLE_STRICT)
 		list(APPEND STRICT_OPTIONS_CPP "-Werror" "-Wextra" "-Wno-unused-parameter" "-fno-strict-aliasing")
@@ -118,38 +109,42 @@
 	list(REMOVE_DUPLICATES STRICT_OPTIONS_C)
 endif()
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
-else()
-	set(EXPORT_TARGETS_NAME "belcard")
-endif()
+set(EXPORT_TARGETS_NAME "belcard")
 
 add_subdirectory(include)
 add_subdirectory(src)
-if(ENABLE_UNIT_TESTS AND BCTOOLBOX_TESTER_FOUND)
+
+if(ENABLE_UNIT_TESTS)
 	add_subdirectory(tester)
 endif()
+
 if(ENABLE_TOOLS)
 	add_subdirectory(tools)
 endif()
 
 include(CMakePackageConfigHelpers)
+set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+set(INCLUDE_INSTALL_DIR "include")
+
 export(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/BelcardTargets.cmake"
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Targets.cmake"
 )
-configure_file(cmake/BelcardConfig.cmake.in
-	"${CMAKE_CURRENT_BINARY_DIR}/BelcardConfig.cmake"
-	@ONLY
+
+configure_package_config_file(cmake/BelcardConfig.cmake.in
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
+  	INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
+	NO_SET_AND_CHECK_MACRO
 )
-set(ConfigPackageLocation share/Belcard/cmake)
+set(ConfigPackageLocation "share/${EXPORT_TARGETS_NAME}/cmake")
 install(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE BelcardTargets.cmake
+	FILE ${EXPORT_TARGETS_NAME}Targets.cmake
 	DESTINATION ${ConfigPackageLocation}
 )
 install(FILES
-	"${CMAKE_CURRENT_BINARY_DIR}/BelcardConfig.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
 	DESTINATION ${ConfigPackageLocation}
 )
 
-
-add_subdirectory(build)
+if (ENABLE_PACKAGE_SOURCE)
+	add_subdirectory(build)
+endif()

=== include/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2015  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(HEADER_FILES
	belcard_addressing.hpp
	belcard_communication.hpp
	belcard_general.hpp
	belcard_geographical.hpp
	belcard_identification.hpp
	belcard_params.hpp
	belcard_property.hpp
	belcard_security.hpp
	belcard_calendar.hpp
	belcard_explanatory.hpp
	belcard_generic.hpp
	belcard.hpp
	belcard_organizational.hpp
	belcard_parser.hpp
	belcard_rfc6474.hpp
	belcard_utils.hpp
	vcard_grammar.hpp
)

set(BELCARD_HEADER_FILES )
foreach(HEADER_FILE ${HEADER_FILES})
	list(APPEND BELCARD_HEADER_FILES "${CMAKE_CURRENT_LIST_DIR}/belcard/${HEADER_FILE}")
endforeach()
set(BELCARD_HEADER_FILES ${BELCARD_HEADER_FILES} PARENT_SCOPE)

install(FILES ${BELCARD_HEADER_FILES}
        DESTINATION include/belcard
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

=== src/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2015  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(BELCARD_HEADER_FILES )
set(BELCARD_SOURCE_FILES_C )
set(BELCARD_SOURCE_FILES_CXX
	belcard_addressing.cpp
	belcard_communication.cpp
	belcard_explanatory.cpp
	belcard_geographical.cpp
	belcard_organizational.cpp
	belcard_parser.cpp
	belcard_rfc6474.cpp
	belcard_utils.cpp
	belcard_calendar.cpp
	belcard.cpp
	belcard_general.cpp
	belcard_identification.cpp
	belcard_params.cpp
	belcard_property.cpp
	belcard_security.cpp
	vcard_grammar.cpp
)

set(VCARD_GRAMMAR_FILES
	vcard_grammar
)

bc_apply_compile_flags(BELCARD_SOURCE_FILES_C STRICT_OPTIONS_CPP STRICT_OPTIONS_C)
bc_apply_compile_flags(BELCARD_SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)

if(ENABLE_STATIC)
	add_library(belcard STATIC ${BELCARD_HEADER_FILES} ${BELCARD_SOURCE_FILES_C} ${BELCARD_SOURCE_FILES_CXX})
	set_target_properties(belcard PROPERTIES OUTPUT_NAME belcard)
	target_link_libraries(belcard PRIVATE belr bctoolbox)
endif()
if(ENABLE_SHARED)
	add_library(belcard SHARED ${BELCARD_HEADER_FILES} ${BELCARD_SOURCE_FILES_C} ${BELCARD_SOURCE_FILES_CXX} ${VCARD_GRAMMAR_FILES})
	if(APPLE)
		if(IOS)
			set(MIN_OS ${LINPHONE_IOS_DEPLOYMENT_TARGET})
		else()
			set(MIN_OS ${CMAKE_OSX_DEPLOYMENT_TARGET})
		endif()
		set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build/osx/")
		set_target_properties(belcard PROPERTIES
			FRAMEWORK TRUE
			MACOSX_FRAMEWORK_IDENTIFIER org.linphone.belcard
			MACOSX_FRAMEWORK_INFO_PLIST Info.plist.in
			RESOURCE ${VCARD_GRAMMAR_FILES}
			PUBLIC_HEADER "${BELCARD_HEADER_FILES}"
		)
	endif()
	set_target_properties(belcard PROPERTIES VERSION ${BELCARD_SO_VERSION})
	target_include_directories(belcard INTERFACE
	  $<INSTALL_INTERFACE:include>
	)
	target_link_libraries(belcard PRIVATE belr bctoolbox)
	if(MSVC)
		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/belcard.pdb
				DESTINATION ${CMAKE_INSTALL_BINDIR}
				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			)
		endif()
	endif()
endif()

install(TARGETS belcard EXPORT ${EXPORT_TARGETS_NAME}Targets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	FRAMEWORK DESTINATION Frameworks
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

install(FILES ${BELCARD_HEADER_FILES}
	DESTINATION include/belcard
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

install(FILES ${VCARD_GRAMMAR_FILES}
	DESTINATION "${CMAKE_INSTALL_DATADIR}/belr/grammars"
)

=== tester/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 if(ENABLE_SHARED)
 	set(BELCARD_LIBRARIES_FOR_TESTER belcard)
 else()
-	set(BELCARD_LIBRARIES_FOR_TESTER belcard-static)
+	set(BELCARD_LIBRARIES_FOR_TESTER belcard)
 endif()
 
 set(VCARD_FILES
@@ -53,12 +53,9 @@
 
 add_executable(belcard_tester ${SOURCE_FILES_CXX} ${HEADER_FILES_CXX})
 set_target_properties(belcard_tester PROPERTIES LINKER_LANGUAGE CXX)
-target_include_directories(belcard_tester PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIRS})
-target_link_libraries(belcard_tester ${BELCARD_LIBRARIES_FOR_TESTER} ${BCTOOLBOX_TESTER_LIBRARIES})
+target_include_directories(belcard_tester PRIVATE ${BCTOOLBOX_INCLUDE_DIRS})
+target_link_libraries(belcard_tester belcard bctoolbox bctoolbox-tester)
 
-if(APPLE)
-	set_target_properties(belcard_tester PROPERTIES LINK_FLAGS "-stdlib=libc++")
-endif()
 if(NOT IOS)
 	install(TARGETS belcard_tester
 		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}

=== debian/changelog ===
belcard (4.4.13-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable
  * Drop Tobias Quathamer from Uploaders, add myself

 -- Bernhard Schmidt <berni@debian.org>  Fri, 25 Dec 2020 18:07:55 +0100

belcard (4.4.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.13
  * Also install vcard grammar
  * Change Vcs-* to linphone-stack subgroup
  * Bump to debhelper-compat (= 12)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 11:47:53 +0100

belcard (4.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.0
  * Bump build-deps to linphone-sdk 4.4
  * Run wrap-and-sort

 -- Bernhard Schmidt <berni@debian.org>  Tue, 01 Sep 2020 00:48:08 +0200

belcard (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Switch to upstream primary Gitlab, only use releases
  * New upstream version 4.3.1
  * Tighten dependencies, add libudev-dev
  * disable tests (need bcunit), disable static building

 -- Bernhard Schmidt <berni@debian.org>  Tue, 02 Jun 2020 00:19:02 +0200

=== debian/control ===
Source: belcard
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libbctoolbox-dev (>= 4.4.0~),
               libbelr-dev (>= 4.4.0~),
               libudev-dev
Standards-Version: 4.1.1
Section: libs
Homepage: https://gitlab.linphone.org/BC/public/belcard/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard

Package: libbelcard-dev
Section: libdevel
Architecture: any
Depends: libbelcard1 (= ${binary:Version}),
         ${misc:Depends}
Description: VCard standard format manipulation library (development headers)
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the development headers.

Package: libbelcard1
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: VCard standard format manipulation library
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

# Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
# setting CMAKE_SKIP_RPATH
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no -DENABLE_UNIT_TESTS=no

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/belcard.*\.tar\.gz/belcard-$1\.tar\.gz/g \
  https://gitlab.linphone.org/BC/public/belcard/tags?sort=updated_desc .*/archive/([\d\.]+)/.*\.tar\.gz.*

## belcard 5.0.37

=== debian/changelog ===
belcard (5.0.37-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 12:01:50 +0200

belcard (5.0.37-1) experimental; urgency=medium

  [ Dennis Filder ]
  * New upstream version 5.0.37
  * Move to debhelper compat 13
  * Declare "Multi-Arch: same" on libbelcard-dev and libbelcard1

 -- Bernhard Schmidt <berni@debian.org>  Wed, 01 Dec 2021 22:07:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
-               libbctoolbox-dev (>= 4.4.0~),
-               libbelr-dev (>= 4.4.0~),
+               debhelper-compat (= 13),
+               libbctoolbox-dev (>= 5.0.37~),
+               libbelr-dev (>= 5.0.37~),
                libudev-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/belcard/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
@@ -15,8 +16,12 @@
 
 Package: libbelcard-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
+         libbctoolbox-dev (>= 5.0.37~),
+         libbelr-dev (>= 5.0.37~),
+         libnsl-dev,
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.
@@ -28,6 +33,7 @@
 
 Package: libbelcard1
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: VCard standard format manipulation library

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+include /usr/share/dpkg/pkg-info.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -19,4 +20,17 @@
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no -DENABLE_UNIT_TESTS=no
+	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no -DENABLE_UNIT_TESTS=no -DENABLE_TOOLS=no -DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM)
+
+execute_after_dh_auto_install:
+# The version numbers specified here rely on all linphone-stack
+# libraries being versioned in lock-step which is apparently their
+# approach now.
+	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM), belr >= $(DEB_VERSION_UPSTREAM)' \
+		>> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc
+	echo 'Requires: libnsl' >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc
+
+# For fallback BC sometimes offers autoconf build systems.  As we
+# don't use it we don't want it updated, otherwise dpkg-source nags.
+override_dh_autotools_update_config:
+override_dh_autoreconf:

## belcard 5.1.64

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 ############################################################################
 
 cmake_minimum_required(VERSION 3.1)
-project(BELCARD VERSION 4.4.0 LANGUAGES C CXX)
+project(BELCARD VERSION 4.5.0 LANGUAGES C CXX)
 
 set(BELCARD_SO_VERSION "1")

=== debian/changelog ===
belcard (5.1.64-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:41:16 +0100

belcard (5.1.64-1) experimental; urgency=medium

  * New upstream release 5.1.64.

 -- Dennis Filder <d.filder@web.de>  Thu, 06 Oct 2022 22:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.0.37~),
-               libbelr-dev (>= 5.0.37~),
+               libbctoolbox-dev (>= 5.1.64~),
+               libbelr-dev (>= 5.1.64~),
                libudev-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/belcard/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard
+Description: vCard manipulation library for C++
 
 Package: libbelcard-dev
 Section: libdevel
 Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
-         libbctoolbox-dev (>= 5.0.37~),
-         libbelr-dev (>= 5.0.37~),
-         libnsl-dev,
+         libbctoolbox-dev (>= 5.1.64~),
+         libbelr-dev (>= 5.1.64~),
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.

## belcard 5.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 ############################################################################
 
 cmake_minimum_required(VERSION 3.1)
-project(BELCARD VERSION 4.5.0 LANGUAGES C CXX)
+project(BELCARD VERSION 5.2.0 LANGUAGES C CXX)
 
 set(BELCARD_SO_VERSION "1")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	target_link_libraries(belcard PRIVATE belr bctoolbox)
 	if(MSVC)
 		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
-			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/belcard.pdb
+			install(FILES $<TARGET_PDB_FILE:belcard>
 				DESTINATION ${CMAKE_INSTALL_BINDIR}
 				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 			)

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 if(ENABLE_SHARED)
 	set(BELCARD_LIBRARIES_FOR_TOOLS belcard)
 else()
-	set(BELCARD_LIBRARIES_FOR_TOOLS belcard-static)
+	set(BELCARD_LIBRARIES_FOR_TOOLS belcard)
 endif()
 
 foreach(EXECTUABLE belcard-folder belcard-unfolder belcard-parser)
@@ -31,16 +31,14 @@
 	bc_apply_compile_flags(SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)
 	add_executable(${EXECTUABLE} ${SOURCE_FILES_CXX})
 	set_target_properties(${EXECTUABLE} PROPERTIES LINKER_LANGUAGE CXX)
-	target_link_libraries(${EXECTUABLE} ${BELCARD_LIBRARIES_FOR_TOOLS} ${BELR_LIBRARIES})
-	if(APPLE)
-		set_target_properties(${EXECTUABLE} PROPERTIES LINK_FLAGS "-stdlib=libc++")
+	target_link_libraries(${EXECTUABLE} PRIVATE belcard belr)
+
+	if(NOT IOS)
+		install(TARGETS ${EXECTUABLE}
+			RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+			ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+			PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+		)
 	endif()
-if(NOT IOS)
-	install(TARGETS ${EXECTUABLE}
-		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
-	)
-endif()
 endforeach()

=== debian/changelog ===
belcard (5.2.0-2build3) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:09:03 +0000

belcard (5.2.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:42:49 +0000

belcard (5.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:00:08 +0000

belcard (5.2.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sat, 29 Jul 2023 19:21:24 +0200

belcard (5.2.0-1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 18:59:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: belcard
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.1.64~),
-               libbelr-dev (>= 5.1.64~),
+               libbctoolbox-dev (>= 5.2.0~),
+               libbelr-dev (>= 5.2.0~),
                libudev-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/belcard/
@@ -20,8 +21,8 @@
 Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
-         libbctoolbox-dev (>= 5.1.64~),
-         libbelr-dev (>= 5.1.64~),
+         libbctoolbox-dev (>= 5.2.0~),
+         libbelr-dev (>= 5.2.0~),
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 # approach now.
 	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM), belr >= $(DEB_VERSION_UPSTREAM)' \
 		>> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc
-	echo 'Requires: libnsl' >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc
 
 # For fallback BC sometimes offers autoconf build systems.  As we
 # don't use it we don't want it updated, otherwise dpkg-source nags.

## belcard 5.2.98

=== debian/changelog ===
belcard (5.2.98-2) experimental; urgency=medium

  * Add Breaks on liblinphone11 which still linked with libbctoolbox1.
  * belcard-data: Express Multi-Arch: foreign.

 -- Dennis Filder <d.filder@web.de>  Sun, 15 Oct 2023 19:50:51 +0200

belcard (5.2.98-1) experimental; urgency=medium

  * New upstream release 5.2.98.
  * Break out data files from libbelcard1 into new binary package
    belcard-data.

 -- Dennis Filder <d.filder@web.de>  Sun, 03 Sep 2023 06:43:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: belcard
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.2.0~),
-               libbelr-dev (>= 5.2.0~),
+               libbctoolbox-dev (>= 5.2.98~),
+               libbelr-dev (>= 5.2.98~),
                libudev-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -21,8 +20,8 @@
 Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
-         libbctoolbox-dev (>= 5.2.0~),
-         libbelr-dev (>= 5.2.0~),
+         libbctoolbox-dev (>= 5.2.98~),
+         libbelr-dev (>= 5.2.98~),
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.
@@ -36,7 +35,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         belcard-data,
+Breaks: libbelcard1 (<< 5.2.98), liblinphone11
+Replaces: libbelcard1 (<< 5.2.98)
 Description: VCard standard format manipulation library
  Belcard is a C++ library to manipulate VCard standard format.
  .
@@ -44,3 +46,16 @@
  of libraries and programs.
  .
  This package contains the shared library.
+
+Package: belcard-data
+Architecture: all
+Breaks: libbelcard1 (<< 5.2.98)
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: VCard standard format manipulation library
+ Belcard is a C++ library to manipulate VCard standard format.
+ .
+ The package is probably not useful outside the Belledonne Communications suite
+ of libraries and programs.
+ .
+ This package contains data files.
